Bug 179710 - Review Request: dap-netcdf_handler - NetCDF 3 data handler for the OPeNDAP Data server
Review Request: dap-netcdf_handler - NetCDF 3 data handler for the OPeNDAP D...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 179707
  Show dependency treegraph
 
Reported: 2006-02-02 05:04 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 07:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-02-02 05:04:38 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/netcdf_handler-3.5.2-1.src.rpm
Description:

This is the netcdf data handler for our data server. It reads netcdf 3
files and returns DAP responses that are compatible with DAP2 and the
dap-server 3.5 software.
Comment 1 Patrice Dumas 2006-02-02 05:08:43 EST
This bug depends on #179707, but circular dependencies are not allowed.
Comment 2 Ed Hill 2006-02-15 22:42:02 EST
Hi Patrice, I took a quick look at this package and noticed two blockers:

 - License is LGPL not GPL
 - The package naming does not follow the packaging guidelines in two
   ways:
     1) the "_" delimiter is not permitted
     2) this is an addon package so its name should be 
        "dap-server-netcdf-handler" or similar
Comment 3 Patrice Dumas 2006-02-16 03:18:07 EST
There is an exception when there is a _ in the upstream name:

"packages where the upstream name naturally contains an underscore are excluded
from this."

But I agree that there should be dap somewhere in the name. After some thinking,
I  am not convinced anymore that the handlers should depend on dap-server.
Although it is unlikely, they could be used as stand alone apps, so I propose
removing dependency on dap-server and calling the handler

dap-netcdf_handler

and so on, to retain the upstream _ but have a more informative name. Would this
suit you?
Comment 4 Ed Hill 2006-02-19 11:35:11 EST
Hi Patrice, yes the "dap-netcdf_handler" name is fine so please go ahead 
and post an updated SRPM and I'll continue with the review.
Comment 5 Patrice Dumas 2006-02-19 19:00:33 EST
Here is the updated srpm:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/dap-netcdf_handler-3.5.2-1.src.rpm
Comment 6 Ed Hill 2006-02-19 20:48:10 EST
Looks good, I don't see any blockers:

8d4d9ff2cca772f840b3b5449addeefc  dap-netcdf_handler-3.5.2-1.src.rpm

good:
 + source matches upstream
 + builds in mock on FC4
 + rpmlint reports no warnings or errors
 + spec is simple and easily read
 + dir ownership is good
 + license is good, and correctly included
 + no shared libs

APPROVED.
Comment 7 Christian Iseli 2006-10-18 09:16:50 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.